Bug 214960 - Performance.getEntriesByName/Type should match case sensitive
Summary: Performance.getEntriesByName/Type should match case sensitive
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: DOM (show other bugs)
Version: Safari Technology Preview
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Rob Buis (away until 22nd August)
URL:
Keywords: InRadar
Depends on:
Blocks:
 
Reported: 2020-07-30 00:24 PDT by Rob Buis (away until 22nd August)
Modified: 2020-08-04 01:57 PDT (History)
4 users (show)

See Also:


Attachments
Patch (8.79 KB, patch)
2020-07-30 00:36 PDT, Rob Buis (away until 22nd August)
no flags Details | Formatted Diff | Diff
Patch (8.74 KB, patch)
2020-07-30 01:34 PDT, Rob Buis (away until 22nd August)
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Rob Buis (away until 22nd August) 2020-07-30 00:24:11 PDT
Performance.getEntriesByName/Type should match case sensitive, see:
https://w3c.github.io/performance-timeline/#getentriesbytype-method
Comment 1 Rob Buis (away until 22nd August) 2020-07-30 00:36:37 PDT
Created attachment 405555 [details]
Patch
Comment 2 EWS Watchlist 2020-07-30 00:37:25 PDT
This patch modifies the imported WPT tests. Please ensure that any changes on the tests (not coming from a WPT import) are exported to WPT. Please see https://trac.webkit.org/wiki/WPTExportProcess
Comment 3 Rob Buis (away until 22nd August) 2020-07-30 01:34:29 PDT
Created attachment 405558 [details]
Patch
Comment 4 youenn fablet 2020-07-31 03:13:17 PDT
Comment on attachment 405558 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=405558&action=review

> LayoutTests/imported/w3c/web-platform-tests/performance-timeline/case-sensitivity.any.js:6
> +    var mixedList = self.performance.getEntriesByType("ReSoUrCe");

Can we add more tests for other strings: mark, measure, paint?
Comment 5 Rob Buis (away until 22nd August) 2020-08-04 00:26:13 PDT
(In reply to youenn fablet from comment #4)
> Comment on attachment 405558 [details]
> Patch
> 
> View in context:
> https://bugs.webkit.org/attachment.cgi?id=405558&action=review
> 
> > LayoutTests/imported/w3c/web-platform-tests/performance-timeline/case-sensitivity.any.js:6
> > +    var mixedList = self.performance.getEntriesByType("ReSoUrCe");
> 
> Can we add more tests for other strings: mark, measure, paint?

I added a test (https://github.com/web-platform-tests/wpt/pull/24826) but no review until now. I'll land the patch since I waited long enough now.
Comment 6 youenn fablet 2020-08-04 00:34:35 PDT
(In reply to Rob Buis from comment #5)
> (In reply to youenn fablet from comment #4)
> > Comment on attachment 405558 [details]
> > Patch
> > 
> > View in context:
> > https://bugs.webkit.org/attachment.cgi?id=405558&action=review
> > 
> > > LayoutTests/imported/w3c/web-platform-tests/performance-timeline/case-sensitivity.any.js:6
> > > +    var mixedList = self.performance.getEntriesByType("ReSoUrCe");
> > 
> > Can we add more tests for other strings: mark, measure, paint?
> 
> I added a test (https://github.com/web-platform-tests/wpt/pull/24826) but no
> review until now. I'll land the patch since I waited long enough now.

I added a review.
Comment 7 EWS 2020-08-04 00:40:17 PDT
Committed r265243: <https://trac.webkit.org/changeset/265243>

All reviewed patches have been landed. Closing bug and clearing flags on attachment 405558 [details].
Comment 8 Radar WebKit Bug Importer 2020-08-04 00:41:20 PDT
<rdar://problem/66511734>
Comment 9 Rob Buis (away until 22nd August) 2020-08-04 01:57:59 PDT
(In reply to youenn fablet from comment #6)
> > I added a test (https://github.com/web-platform-tests/wpt/pull/24826) but no
> > review until now. I'll land the patch since I waited long enough now.
> 
> I added a review.

Thanks! It landed now.